# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' BetaParamsEstimation
#'
#' For a sample of values in [0,1] three different estimators are implemented:
#' maximum likelihood estimators (method == 1), the method of moments
#' (method == 2) and the quantile method (method == 2)
#' @param v sample
#' @param methods Estimation method used (MLE, method of moments, quantile)
#' @export
BetaParamsEstimation <- function(v, methods) {
    .Call('_OMICfpp2_BetaParamsEstimation', PACKAGE = 'OMICfpp2', v, methods)
}

#' Single random subset
#'
#' A single combination from total is generated
#' @param total All possible elements
#' @param taken The number of elements to be extracted
#' @export
SingleCombination <- function(total, taken) {
    .Call('_OMICfpp2_SingleCombination', PACKAGE = 'OMICfpp2', total, taken)
}

#' Random subsets
#'
#' Random subsets total are generated
#' @param total All possible elements
#' @param taken The number of elements to be extracted
#' @param ncombs The number of random subsets
#' @export
ManyCombinations <- function(total, taken, ncombs) {
    .Call('_OMICfpp2_ManyCombinations', PACKAGE = 'OMICfpp2', total, taken, ncombs)
}

#' Number of threads
#'
#' @param desiredthreads Number of desided threads
#' @export
RecommendedThreads <- function(desiredthreads) {
    .Call('_OMICfpp2_RecommendedThreads', PACKAGE = 'OMICfpp2', desiredthreads)
}

#' Integrated p-values
#'
#' This function accepts the raw p-value and the p-values corresponding to each of the random labellings, and finds the
#' Montecarlo p-value and the integrated p-value using either a normal distribution, a Student's-t distribution, or both.
#' @param data Expression matrix. It must be passed as a matrix which is the transpose of the usual expression matrix, i.e. with cases as rows and genes/probes as columns.
#' @param alpha Level of confidence used for calculation of the confidence interval of the integrated p-value with the Delta method. Use a negative value to indicate that confidence intervals must not be calculated.
#' @param combinations Matrix of random labellings. It is a matrix of booleans where each random labelling is a row and each column has the boolean value 'TRUE' for signaling the individual is a control or 'FALSE' to mark is as a case. Each row must have the same number of 'TRUE' values. This matrix can be generated with the ManyCombinations function.
#' @param cases A row vector of booleans indicating which individual is a case (with 'TRUE') and which one is a control (with 'FALSE').
#' @param dts String to choose the distribution used to calculate the integrated p-values. The only accepted values are "normal", "tstudent" or "both".
#' @param numthreads The number of computation threads to use. Possible values are -1 for NOT using threads at all, 0 for choosing automatically the optimal number of threads and any possitive integer to request such number of threads.
#' @param deb_filename String with the name of the file or files where numerical errors are emitted. It can be: the empty string, "", if you don't want to see the errors; "Rcerr" to send the errors to the usual Rcpp error output; any other string like "a" to send the errors to that file or, if several threads are used, to files "a000", "a001", ... 
#' @export 
PValuesEstimation <- function(data, alpha, combinations, cases, dts, numthreads, deb_filename) {
    .Call('_OMICfpp2_PValuesEstimation', PACKAGE = 'OMICfpp2', data, alpha, combinations, cases, dts, numthreads, deb_filename)
}

#' Integrated p-values from statistic
#'
#' This function accepts the statistic corresponding to the original value
#' and to each of the random rearrangements, and finds the
#' Montecarlo p-value and the integrated p-value using either a normal
#' distribution, a Student's-t distribution, or both.
#' @param t Statistic matrix. It must be passed as a matrix with the
#' statistic value of the original data as its first row and the
#' corresponding value for all rearrangements as the other rows
#' @param df Number of degrees of freedom if a t-student distribution is
#' used (see parameter dts). If t-student is not requested this parameter
#' is ignored.
#' @param alpha Level of confidence used for calculation of the confidence
#' interval of the integrated p-value with the Delta method. Use a negative
#' value to indicate that confidence intervals must not be calculated.
#' @param dts String to choose the distribution used to calculate the
#' integrated p-values. The only accepted values are "normal", "tstudent"
#' or "both".
#' @param numthreads The number of computation threads to use.
#' Possible values are -1 for NOT using threads at all, 0 for choosing
#' automatically the optimal number of threads and any possitive integer
#' to request such number of threads.
#' @param deb_filename String with the name of the file or files where numerical errors are emitted. It can be: the empty string, "", if you don't want to see the errors; "Rcerr" to send the errors to the usual Rcpp error output; any other string like "a" to send the errors to that file or, if several threads are used, to files "a000", "a001", ... 
#' @export 
PValuesFromStatistic <- function(t, df, alpha, dts, numthreads, deb_filename) {
    .Call('_OMICfpp2_PValuesFromStatistic', PACKAGE = 'OMICfpp2', t, df, alpha, dts, numthreads, deb_filename)
}

