% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pointProcess.R
\name{RandomLabelling}
\alias{RandomLabelling}
\title{MonteCarlo p-value for random labelling hypothesis for gene point process}
\usage{
RandomLabelling(
  GeneSet,
  exprm,
  cases,
  controls,
  test = CuzickEdwards,
  GeneNullDistr = "randomization",
  nmax = 100
)
}
\arguments{
\item{GeneSet}{Gene set (given as rows in the expression matrix
\code{exprm}}

\item{exprm}{Expression matrix}

\item{cases}{Cases (given as columns in the expression matrix \code{exprm})}

\item{controls}{Controls (given as columns in the expression matrix
\code{exprm})}

\item{test}{Test for random labelling hypothesis}

\item{GeneNullDistr}{Gene null distribution}

\item{nmax}{Number of replications}
}
\value{
p-value
}
\description{
MonteCarlo p-value for random labelling hypothesis for gene point process
\link[genefilter]{rowFtests}
}
