% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BetaMonteCarlo.R
\name{intp}
\alias{intp}
\title{Integrated p-value for continuous values}
\usage{
intp(
  x,
  y,
  control = NULL,
  dts = "normal",
  paired = FALSE,
  type = "within-pair",
  alpha = 0.95,
  numthreads = 0,
  nsim = 100,
  deb_filename = ""
)
}
\arguments{
\item{x}{Expression matrix}

\item{y}{Vector or matrix. For independent samples, \code{y}
is a vector with two values (0 or FALSE for control and 1 or TRUE
for case). For paired design \code{y} is a nx2 matrix where the first
column \code{y[,1]} is the block and second column \code{y[,2]} is
the element within the block with values 0 (control) and 1 (case)}

\item{control}{The label for control if a \code{factor} is used
as \code{y[,2]}}

\item{dts}{Distribution to use in the probability transform. It must be
"normal", "tstudent" or "both". Default value: "normal"}

\item{paired}{Paired or independent samples. Default value: FALSE (i.e.: independent)}

\item{type}{Type of randomization distribution.
It must be "within-pair", "between-pair" or "complete".
Default value: "within-pair".}

\item{alpha}{Confidence level. Use a negative value to indicate that
confidence intervals must not be calculated. Default value: 0.95}

\item{numthreads}{The number of computation threads to use.
Possible values are -1 for NOT using threads at all, 0 for choosing
automatically the optimal number of threads and any possitive integer
to request such number of threads. Default value: 0}

\item{nsim}{Number of simulations. Default value: 100}

\item{deb_filename}{name of the file or files where numerical errors
are emitted.
It can be: the empty string, "", if you don't want to see the errors;
"Rcerr" to
send the errors to the usual Rcpp error output; any other string like
"a" to send
the errors to that file or, if several threads are used, to files "a000",
"a001", ... 
Default value: ""}
}
\description{
Integrated p-value
}
