% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pairedCounts.R
\name{justDo}
\alias{justDo}
\title{Function to simulation study}
\usage{
justDo(
  n,
  N,
  nsig,
  noutlier = c(1, 1),
  lambda,
  test = proportion.p,
  norness = 50,
  nsim = 100,
  method = "dbinom",
  type = "complete",
  is.decreasing = FALSE,
  proc = c("owb", "owc", "er", "de"),
  do.auc = FALSE
)
}
\arguments{
\item{n}{Number of pairs}

\item{N}{Number of genes}

\item{nsig}{Number of significant genes (rows (noutlier+1):(noutlier+nsig)}

\item{noutlier}{Vector giving the number of outlier genes noutlier[1]
(rows 1:noutlier[1] in the expression matrix) and number of pairs
(columns 1:noutlier[2])}

\item{lambda}{Vector with the lambda values for  rPairedPoisson}

\item{test}{Function comparing counts within each pair}

\item{norness}{Number of values for orness if orness == NULL}

\item{nsim}{Number of simulations}

\item{method}{Method to generate the orness values
\code{c("dbinom","fuller")}. See \link{owa.weights}.}

\item{type}{Randomization distribution to generate random pairs}

\item{is.decreasing}{The values to be  aggregated in decreasing order}

\item{proc}{Procedures to be tested: \code{owb} OWA with between-pair
distribution, \code{owc} OWA with complete distribution, \code{er}
edgeR, \code{de} DESEq2.}

\item{do.auc}{Is the AUC value to be calculated?}
}
\description{
Function to simulation study
}
\keyword{Simulation}
\keyword{study}
