% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pairedCounts.R
\name{marginal.analysis}
\alias{marginal.analysis}
\title{Generation of randomization p-values}
\usage{
marginal.analysis(
  df,
  y,
  test,
  orness,
  nsim = 100,
  method = "dbinom",
  type = "within-pair",
  is.decreasing = FALSE,
  to.save = FALSE,
  foutput = "marginal.analysis.rda"
)
}
\arguments{
\item{df}{Count matrix}

\item{y}{Vector giving the pairs of columns}

\item{test}{Function comparing counts within each pair}

\item{orness}{Orness}

\item{nsim}{Number of simulations}

\item{method}{Method to generate the orness values. See \link{owa.weights}.}

\item{type}{Randomization distribution to generate random pairs}

\item{is.decreasing}{The values to aggregated should decreasing ordered}

\item{to.save}{Is to be saved in \code{foutput}?}

\item{foutput}{Output file}
}
\description{
Different p-values are produced for each gene set using a different
statistical procedure and a randomization distribution. The p-values
obtained are used to test the self-contained hypothesis of gene
set diffferential expression
}
