% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pairedCounts.R
\name{null.paired}
\alias{null.paired}
\title{Randomization null distributions for paired designs}
\usage{
null.paired(y, type = c("within-pair", "between-pair", "complete"))
}
\arguments{
\item{y}{Design matrix (nrow(y) == ncol(x)). First column \code{y[,1]} 
is the block and second column \code{y[,2]} is the element within the block
with values 0 (control) and 1 (case)}

\item{type}{Null randomization distribution:
"within-pair" where randomly flip the case-control asignment within
each pair; "between-pair" where the cases and controls remains as cases
or controls respectively but the correspondences between cases and controls
are randomly asigned. Finally, "complete" means that we select randomly the 
half of samples as cases and the rest as controls. The correspondence
case-control is randomly asigned too.}
}
\value{
Matrix with the blocks in the first column and the case-control asignment
in the second column
}
\description{
Randomization null distributions for paired designs: 
\code{within-pair} where randomly flip the case-control asignment within
each pair; \code{between-pair} where the cases and controls remains as cases
or controls respectively but the correspondences between cases and controls
are randomly asigned. Finally, \code{complete} means that we select randomly 
the half of samples as cases and the rest as controls. The correspondence
case-control is randomly asigned too.
}
\seealso{
\link[OMICfpp2]{pairedCounts}
}
\author{
Guillermo Ayala
}
