% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pairedCounts.R
\name{oddsratio.p}
\alias{oddsratio.p}
\title{p-value for odds-ratio equal 1 for comparing paired counts (RNA-seq,...)}
\usage{
oddsratio.p(x, y)
}
\arguments{
\item{x}{Count matrix}

\item{y}{Design matrix (nrow(y) == ncol(x)). First column \code{y[,1]} 
is the block and second column \code{y[,2]} is the element within the block
with values 0 (control) and 1 (case)}
}
\value{
A \code{matrix} where each row corresponds with the different expression
statistics of the corresponding row of \code{x} for the common design given
by \code{y}
}
\description{
The data consists of case-control pairs.  The pair of counts per pair and
gene are compared by testing if the proportion of cases is equal to the 
proportion of the sample using the sizes of library (\link[edgeR]{binomTest}).
It is assumed given (constant) the total count per pair and gene.
The p-value for testing if the odds-ratio is equal to one is returned
}
\author{
Guillermo Ayala and Alberto Berral
}
