% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pointProcess.R
\name{pointgene}
\alias{pointgene}
\title{Global analysis}
\usage{
pointgene(
  se,
  tests = list(list(test = proportion.p, name = "proportion.p"), list(test =
    CuzickEdwards, name = "CuzickEdwards")),
  nsim = rep(100, 2),
  type = "between-pair",
  dir,
  steps = rep(TRUE, 5),
  gsc = NULL,
  aggr = mean
)
}
\arguments{
\item{se}{\code{SummarizedExperiment}
The feature names should be given in \code{rownames(assay(se))}
and \code{colData(se)}}

\item{tests}{\code{List} with the two test to be applied with the
corresponding names}

\item{nsim}{Vector with two components: nsim[|] is the number of
sets of controls to be generated, nsim[2] is the number of random
labellings}

\item{type}{"between-pair" or "complete"}

\item{dir}{Directory where to save and read the results}

\item{steps}{Vector with TRUE/FALSE (1/0) values corresponding to
the different steps of the analysis.
First component evalues the p-values comparings pairs.
Second component establishs if the file calculated in the first
step should be loaded
Third component evalues the randomization p-values
Fourth component save the p-values of \code{tests[[2]]$test}
in a single file
Fith component aggregates the randomization p-values}

\item{gsc}{\code{List} \code{gsc$set} Gene set colleccion and
\code{gsc$name} the name of the collection}

\item{aggr}{Function to aggregate the p-values}
}
\description{
Global analysis
}
