% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pointProcess.R
\name{ppgene}
\alias{ppgene}
\title{Differential gene expression for paired designs}
\usage{
ppgene(
  x,
  y,
  testPair,
  nsim = 100,
  type = "between-pair",
  file.pp = NULL,
  PointPattern = TRUE,
  gsc = NULL,
  testLabelling = "CuzickEdwards",
  GeneNullDistr = "randomization",
  nmax = 100,
  file.labelling = NULL
)
}
\arguments{
\item{x}{Count matrix}

\item{y}{Design matrix (nrow(y) == ncol(x)). First column \code{y[,1]} 
is the block and second column \code{y[,2]} is the element within the block
with values 0 (control) and 1 (case)}

\item{testPair}{Function to calculate the statistics per pairs}

\item{nsim}{Number of simulations of the null distribution \code{type}}

\item{type}{Null randomization distribution:
"within-pair" where randomly flip the case-control asignment within
each pair; "between-pair" where the cases and controls remains as cases
or controls respectively but the correspondences between cases and controls
are randomly asigned. Finally, "complete" means that we select randomly the 
half of samples as cases and the rest as controls. The correspondence
case-control is randomly asigned too. It depends on
\cite{OMICfpp2::null.paired}.}

\item{file.pp}{Output file for the randomization p-values}

\item{PointPattern}{Have to be generated the p-value point pattern}

\item{gsc}{\code{List} where the different gene sets are subsets of
the row indices. If \code{gsc} is \code{NULL} then only the p-value matrix is
evaluated}

\item{testLabelling}{Name of testing procedure for random labelling
with the names specified in \link{RandomLabelling}}

\item{GeneNullDistr}{Gene null distribution to be passed to
\link{RandomLabelling}}

\item{nmax}{Number of replications to compare the original point pattern}

\item{file.labelling}{File to save the final p-values}
}
\description{
The data consists of case-control pairs.
The pair of counts per pair and
gene are compared by testing if the proportion of cases is equal to the
proportion of the sample using the sizes of library. This is performed
using \code{test}.
}
\author{
Guillermo Ayala
}
