% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RandomGeneExpression2.R
\name{rArrayGamma}
\alias{rArrayGamma}
\title{Random gamma expression matrix}
\usage{
rArrayGamma(
  mu0 = 2,
  var0 = 1,
  mu1 = 4,
  var1 = 1,
  mu2 = 1,
  var2 = 1,
  n1 = 20,
  n2 = 20,
  N1 = 100,
  N2 = 100,
  N3 = 800
)
}
\arguments{
\item{mu0}{First mean}

\item{var0}{First variance}

\item{mu1}{Second mean}

\item{var1}{Second variance}

\item{mu2}{Third mean}

\item{var2}{Third variance}

\item{n1}{Sample size of first condition}

\item{n2}{Sample size of second condition}

\item{N1}{Number of features in the first group}

\item{N2}{Number of features in the second group}

\item{N3}{Number of features in the third group}
}
\value{
A \code{list}
A \code{(N1+N2+N3) x (n1+n2)} matrix where the first \code{n1} columns 
correspond to the first condition, the last \code{n2} columns
correspond to the second condition. 
The first \code{N1} rows  are expression profiles of 
the first group. The following \code{N2} rows are expression 
profiles of the second group and the last \code{N3}
rows are genes non-diferentially expressed.
}
\description{
We have three gamma distributions parametrized using the mean and the
variances. 
 1. \code{Gamma(mu0,var0)}
 2. \code{Gamma(mu1,var1)}
 3. \code{Gamma(mu2,var2)}.
We have two conditions with samples sizes `n1`  and `n2`. 
The samples of first condition (respectively, second condition)
are the first `n1` columns (respectively the last `n2` columns)
of the matrix expression.
A feature in the first group has gamma distribution,
\code{Gamma(mu0,var0)}, in the first condition and gamma
distribution, \code{Gamma(mu1,var1)}, in the second condition.
A feature in the second group has normal distribution,
\code{Gamma(mu0,var0)}, in the first condition and gamma
distribution, \code{Gamma(mu2,var2)}, in the second condition.
The third group has random expression with normal distribution
 \code{Gamma(mu0,var0)} in both conditions.
It corresponds to no differential expression.
}
