% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RandomGeneExpression2.R
\name{rPairedNB}
\alias{rPairedNB}
\title{Random paired counts using independent negative binomial distributions}
\usage{
rPairedNB(
  n,
  N,
  mu1,
  size1,
  mu2,
  size2,
  mu3,
  size3,
  mu4,
  size4,
  gs = NULL,
  outlier = NULL
)
}
\arguments{
\item{n}{Number of pairs}

\item{N}{Number of genes}

\item{mu1}{Mean of the first component}

\item{size1}{1/size1 is the dispersion  of the first component}

\item{mu2}{Mean of the random count added to the first generated value
on the significant genes}

\item{size2}{1/size2 is the dispersion of the random count added to the
first generated value on the significant genes}

\item{mu3}{Mean of the random count added to the first generated value
on the non significant genes}

\item{size3}{1/size3   is the dispersion of the random count added to the
first generated value on the non significant genes}

\item{mu4}{Mean of the random count added to the first generated value
on the outlier genes given in \code{outlier}}

\item{size4}{1/size4   is the dispersion of the random count added to the
first generated value on the outlier genes}

\item{gs}{Significant gene set (a subset of rows in 1:N)}

\item{outlier}{Matrix (rows as genes and pairs as samples) where
the corresponding pair of counts are an outlier
gs == NULL correspond with no differential expression}
}
\description{
A gene expression matrix of counts with \code{N} features and
\code{length(n)} pairs of samples.
The first pair corresponds to the two first column and so on.
The total number of samples is  \code{2*n}
The distribution of  the first component (control) is negative binomial
with  mean \code{mu1} and dispersion parameter \code{1/size1} (the variance
is equal to \code{mu1 + (mu1^2)/size1}.
For the genes (rows) in \code{gs} the distribution of the second
component of the pair (case) is a negative binomial distribution
with mean \code{mu2} and dispersion 1/size2.
For the genes (rows) not in  \code{gs} (significant genes) the
distribution of the second component is negative binomial  with mean
\code{mu3} and dispersion 1/size3.
The matrix \code{outlier} contains in the first column the indices of
rows and in #' the second column the indices of pairs.
For the pairs of counts in \code{outlier}
the first component follows a negative binomial  distribution with mean
\code{mu1} and dispersion 1/size1 and the second component
follows a negative binomial distribution with mean
\code{mu4} and dispersion 1/size4.
}
\keyword{Random}
\keyword{counts}
