% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RandomGeneExpression2.R, R/fromtami.R
\name{rPairedPoisson}
\alias{rPairedPoisson}
\title{Random paired counts using Poisson distributions}
\usage{
rPairedPoisson(
  n,
  N,
  lambda1,
  lambda2,
  lambda3,
  lambda4,
  gs = NULL,
  outlier = NULL
)

rPairedPoisson(
  n,
  N,
  lambda1,
  lambda2,
  lambda3,
  lambda4,
  gs = NULL,
  outlier = NULL
)
}
\arguments{
\item{n}{Number of pairs}

\item{N}{Number of genes}

\item{lambda1}{Mean of the first component}

\item{lambda2}{Mean of the random count added to the first generated value
on the significant genes}

\item{lambda3}{Mean of the random count added to the first generated value
on the non significant genes}

\item{lambda4}{Mean of the random count added to the first generated value
on the outlier genes given in \code{outlier}}

\item{gs}{Significant gene set (a subset of rows in 1:N)}

\item{outlier}{Matrix (rows as genes and pairs as samples) where
the corresponding pair of counts are an outlier
gs == NULL correspond with no differential expression}
}
\description{
A gene expression matrix of counts with \code{N} features and
\code{length(n)} pairs of samples.
The first pair corresponds to the two first column and so on.
The total number of samples is  \code{2*n}
The distribution of  the first component is Poisson with
parameter \code{lambda1}. For the genes (rows) in
\code{gs} the distribution is the sum of the first generated value
plus a random count with Poisson distribution with mean \code{lambda2}.
For the genes (rows) not in  \code{gs} the distribution of the second
component is the sum of  the first generated value 
plus a random count with Poisson distribution with mean \code{lambda3}.
The matrix \code{outlier} contains in the first column the indices of
rows and in the second column the indices of pairs.
For the pairs of counts in \code{outlier}
the first component follows a Poisson distribution with mean \code{lambda1}
and the second component is equal to the first one plus a random count with
Poisson distributed with mean \code{lambda4}.

A gene expression matrix of counts with \code{N} features and
\code{length(n)} pairs of samples.
The first pair corresponds to the two first column and so on.
The total number of samples is  \code{2*n}
The distribution of  the first component is Poisson with
parameter \code{lambda1}. For the genes (rows) in
\code{gs} the distribution is the sum of the first generated value
plus a random count with Poisson distribution with mean \code{lambda2}.
For the genes (rows) not in  \code{gs} the distribution of the second component
is the sum of  the first generated value 
plus a random count with Poisson distribution with mean \code{lambda3}.
The matrix \code{outlier} contains in the first column the indices of rows and in
the second column the indices of pairs. For the pairs of counts in \code{outlier}
the first component follows a Poisson distribution with mean \code{lambda1}
and the second component is equal to the first one plus a random count with
Poisson distributed with mean \code{lambda4}.
}
\keyword{Random}
\keyword{counts}
