% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RandomGeneExpression2.R
\name{rPairedPoisson2}
\alias{rPairedPoisson2}
\title{Random paired counts using Poisson distributions using gene sets}
\usage{
rPairedPoisson2(n, N, lambda, gsc)
}
\arguments{
\item{n}{Number of pairs}

\item{N}{Number of genes}

\item{lambda}{Vector with means. The first component corresponds to
Y_0 and the component i+1 to Y_i}

\item{gsc}{List were the i-th element gsc[[i]] are the rows of the
i-th gene set}
}
\description{
A gene expression matrix of counts with \code{N} features and
\code{length(n)} pairs of samples.
The first pair corresponds to the two first column and so on.
The total number of samples is  \code{2*n}
Let us consider different random counts. The first random variable
Y_0 follows a Poisson distribution with mean \code{lambda[1]}. 
Similarly, the random count Y_i  follows a Poisson distribution
with mean  \code{lambda[i+1]} for i=1,...,ngs
A list of gene sets is considered. The i-th element of this list
gsc[[i]] contains the rows in the expression matrix corresponding to
the $i$-th gene set.
For the $i$-th gene set, the first count of each pair is a realization
of Y_0 = y_0. The second component of the pair is the sum of the count y_0
and a realization of Y_i i.e. the second component is y_0 + Y_i.
A gene not in the union of all gene sets is a control gene and the
counts for both components of the pairs are independent realizations
of Y_0.
}
\keyword{Random}
\keyword{counts}
