% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pairedCounts.R
\name{rowtest0}
\alias{rowtest0}
\title{Tests per row (feature) for marginal differential expression}
\usage{
rowtest0(x, y, test)
}
\arguments{
\item{x}{Matrix expression}

\item{y}{Design matrix (nrow(y) == ncol(x)). First column \code{y[,1]} 
is the block and second column \code{y[,2]} is the element within the block
with values 0 (control) and 1 (case)}

\item{test}{Function with the statistical test (c(proportion.p,oddsratio.p,
oddsratio.stats))}
}
\value{
A data frame with columns named \code{statistic} (statistic of the test),
\code{rawp} (original p-values), \code{adjp} (adjusted p-values) and 
\code{qval} (q-values)
}
\description{
For a given expression matrix \code{x} and a design matrix
factor \code{y} the  \code{test} is applied. The expression
matrix probably is obtained as \code{x = exprs(gse)} or
\code{x = assay(se)} where \code{gse} is a \code{ExpressionSet} and 
\code{se} is a \code{RangedSummarizedExperiment}.
Differently to \link[tami]{rowtest} the output is a matrix where
each row vector corresponding to the differential expression of the 
corresponding row of the expression matrix.
}
